# $Revision: 1.49.2.1 $, $Date: 2010/08/25 13:54:35 $
# TODO:
# Lancelot: installed - cmake unimplemented because not found
#   * XRender - Lancelot compositing support
#   * Eigen2 - Eigen2 enables the Mandelbrot wallpaper plugin.

%bcond_without	marble	# don't build marble plasma support

%define		orgname	    kdeplasma-addons
%define		_state	    stable
%define		qtver	    4.6.3

Summary:	KDE4 Plasmoids
Summary(pl.UTF-8):	Plazmoidy dla KDE4
Name:		kde4-kdeplasma-addons
Version:	4.4.5
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.bz2
# Source0-md5:	cdc027b3dfdcc588f253006baa970638
Patch100:	%{name}-branch.diff
Patch0:		%{name}-pastebinpld.patch
URL:		http://www.kde.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtScript-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtWebKit-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	eigen >= 1:2.0.12-3
BuildRequires:	kde4-kdebase-workspace-devel >= %{version}
%{?with_marble:BuildRequires:	kde4-kdeedu-devel >= %{version}}
BuildRequires:	kde4-kdegraphics-devel >= %{version}
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	phonon-devel >= 4.3.80
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	qimageblitz-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
BuildRequires:	shared-desktop-ontologies-devel >= 0.2
BuildRequires:	soprano-devel
BuildRequires:	strigi-devel >= 0.7.0
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
Obsoletes:	kde4-kdeplasmoids
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE4 plasmoids.

%description -l pl.UTF-8
Plazmoidy dla KDE4.

%package lancelot
Summary:	Lancelot Desktop Theme
Summary(pl.UTF-8):	Motyw pulpitu Lancelot
Group:		X11/Applications
Requires:	kde4-kdebase-workspace >= %{version}

%description lancelot
Lancelot Desktop Theme.

%description lancelot -l pl.UTF-8
Motyw pulpitu Lancelot.

%package devel
Summary:	Development files for KDE4 Plasmoids
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek plazmoidów dla KDE4
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	kde4-kdebase-workspace-devel >= %{version}
Requires:	kde4-kdegraphics-devel >= %{version}
Requires:	kde4-kdelibs-devel >= %{version}
Requires:	kde4-kdepimlibs-devel >= %{version}

%description devel
This package contains header files needed if you wish to build
applications based on KDE4 Plasmoids.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe potrzebne do budowy aplikacji
opartych na plazmoidach dla KDE4.

%prep
%setup -q -n %{orgname}-%{version}
#%patch100 -p0
%patch0 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
%if "%{_lib}" != "lib"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	lancelot	-p /sbin/ldconfig
%postun	lancelot	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/krunner_*.so
%attr(755,root,root) %{_libdir}/kde4/kcm_krunner_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_comic_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_*.so
%attr(755,root,root) %{_libdir}/kde4/plasma_packagestructure_comic.so
%attr(755,root,root) %ghost %{_libdir}/libplasmacomicprovidercore.so.?
%attr(755,root,root) %{_libdir}/libplasmacomicprovidercore.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/plasma-applet_systemloadviewer.so
%attr(755,root,root) %{_libdir}/kde4/plasma_potd_apodprovider.so
%attr(755,root,root) %{_libdir}/kde4/plasma_potd_epodprovider.so
%attr(755,root,root) %{_libdir}/kde4/plasma_potd_flickrprovider.so
%attr(755,root,root) %{_libdir}/kde4/plasma_potd_oseiprovider.so
%attr(755,root,root) %{_libdir}/kde4/plasma_potd_wcpotdprovider.so
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_mandelbrot.so
%if %{with marble}
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_marble.so
%endif
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_pattern.so
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_virus.so
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_weather.so
#%attr(755,root,root) %ghost %{_libdir}/libconversion.so.?
#%attr(755,root,root) %{_libdir}/libconversion.so.*.*.*
%attr(755,root,root) %{_libdir}/liblancelot.so
#%attr(755,root,root) %ghost %{_libdir}/libocsclient.so.?
#%attr(755,root,root) %{_libdir}/libocsclient.so.*.*.*
%attr(755,root,root) %{_libdir}/libplasmacomicprovidercore.so
%attr(755,root,root) %ghost %{_libdir}/libplasmapotdprovidercore.so.?
%attr(755,root,root) %{_libdir}/libplasmapotdprovidercore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libplasmaweather.so.?
%attr(755,root,root) %{_libdir}/libplasmaweather.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librtm.so.?
%attr(755,root,root) %{_libdir}/librtm.so.*.*.*
%{_datadir}/apps/desktoptheme/Aya
%{_datadir}/apps/desktoptheme/Elegance
%{_datadir}/apps/desktoptheme/Silicon
%dir %{_datadir}/apps/desktoptheme/default/stylesheets
%{_datadir}/apps/desktoptheme/default/stylesheets/*
%dir %{_datadir}/apps/desktoptheme/default/weatherstation
%{_datadir}/apps/desktoptheme/default/weatherstation/*
%dir %{_datadir}/apps/desktoptheme/default/weather/
%{_datadir}/apps/desktoptheme/default/weather/wind-arrows.svgz
%{_datadir}/apps/desktoptheme/default/widgets/*
%{_datadir}/apps/desktoptheme/heron
%{_datadir}/apps/desktoptheme/slim-glow
%{_datadir}/kde4/services/*.desktop
%{_datadir}/kde4/servicetypes/plasma_comicprovider.desktop
%{_datadir}/kde4/servicetypes/plasma_potdprovider.desktop
%{_datadir}/config/comic.knsrc
%{_datadir}/config/plasmaweather.knsrc
%{_datadir}/config/virus_wallpaper.knsrc
%dir %{_datadir}/apps/desktoptheme/default/rssnow
%{_datadir}/apps/desktoptheme/default/rssnow/background.svgz
%{_datadir}/apps/desktoptheme/default/rssnow/left.svgz
%{_datadir}/apps/desktoptheme/default/rssnow/right.svgz
%{_datadir}/apps/desktoptheme/default/rssnow/rssnow.svgz
%dir %{_datadir}/apps/desktoptheme/default/bubblemon
%{_datadir}/apps/desktoptheme/default/bubblemon/bubble.svg
%dir %{_datadir}/apps/desktoptheme/default/fifteenPuzzle
%{_datadir}/apps/desktoptheme/default/fifteenPuzzle/blanksquare.svg
%{_iconsdir}/hicolor/scalable/apps/fifteenpuzzle.svgz
%{_iconsdir}/hicolor/scalable/apps/accessories-dictionary.svgz
%{_iconsdir}/hicolor/scalable/apps/bball.svgz
%{_iconsdir}/hicolor/*x*/apps/qalculate-applet.png

%dir %{_datadir}/apps/rssnow
%{_datadir}/apps/rssnow/feeds
%{_iconsdir}/*/*x*/apps/previewer.png
%{_datadir}/kde4/services/ServiceMenus/preview.desktop
%dir %{_datadir}/apps/bball
%{_datadir}/apps/bball/bball.svgz
%{_iconsdir}/*/*x*/apps/bball.png
%{_datadir}/apps/bball/bounce.ogg
%{_datadir}/apps/bball/football.svgz
#%{_datadir}/apps/plasma-bluemarble
%{_datadir}/apps/plasma
%{_datadir}/apps/plasma-applet-opendesktop
%{_datadir}/apps/plasma-applet-opendesktop-activities
%{_datadir}/apps/plasma-applet-frame
%{_datadir}/apps/plasma_pastebin
%{_datadir}/apps/plasma_wallpaper_pattern

%files lancelot
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lancelot
%attr(755,root,root) %ghost %{_libdir}/liblancelot.so.?
%attr(755,root,root) %{_libdir}/liblancelot.so.*.*.*
%{_datadir}/apps/desktoptheme/default/lancelot
%{_datadir}/apps/desktoptheme/oxygen/lancelot
#%{_datadir}/apps/desktoptheme/air/

%{_datadir}/dbus-1/services/org.kde.lancelot.service
%{_datadir}/mime/packages/lancelotpart-mime.xml
%{_datadir}/apps/lancelot
%{_iconsdir}/hicolor/*x*/apps/lancelot.png
%{_iconsdir}/hicolor/*x*/apps/lancelot-part.png

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so
#%{_includedir}/conversion
%{_includedir}/lancelot
#%{_datadir}/apps/cmake/modules/*.cmake

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdeplasma-addons.spec,v $
Revision 1.49.2.1  2010/08/25 13:54:35  hawk
- release 2

Revision 1.49  2010/06/30 16:49:14  shadzik
- 4.4.5

Revision 1.48  2010/05/29 00:10:03  shadzik
- files

Revision 1.47  2010/05/29 00:05:35  shadzik
- 4.4.4

Revision 1.46  2010/05/01 15:16:54  shadzik
- 4.4.3

Revision 1.45  2010/03/28 18:52:07  shadzik
- 4.4.2

Revision 1.44  2010/02/27 12:39:27  shadzik
- 4.4.1 try #1

Revision 1.43  2010/02/20 15:56:43  shadzik
- change eigen BR

Revision 1.42  2010/02/19 15:09:22  shadzik
- update eigen BR

Revision 1.41  2010/02/18 18:42:54  sparky
- BR: pkgconfig, python, qimageblitz-devel, soprano-devel
- does not build for me

Revision 1.40  2010/02/18 15:44:28  shadzik
- merged from DEVEL

Revision 1.32.2.14  2010/02/04 22:04:37  arekm
- up to 4.4.0

Revision 1.32.2.13  2010/02/02 20:56:17  shadzik
- bump up qtver; it's not necessary but we make sure we link with the latest qtver

Revision 1.32.2.12  2010/02/02 20:49:00  shadzik
- unify qtver makro

Revision 1.32.2.11  2010/02/02 16:01:21  shadzik
- minor clean up (removing old svn snap stuff)

Revision 1.32.2.10  2010/02/02 13:12:35  shadzik
- force cmake 2.8.0 BR

Revision 1.32.2.9  2010/02/01 02:21:49  shadzik
- 4.4 RC3

Revision 1.32.2.8  2010/01/20 10:02:20  arekm
- up to 4.3.95

Revision 1.32.2.7  2010/01/12 15:08:22  paszczus
- updated to 4.4 RC1 (4.3.90)

Revision 1.32.2.6  2009/12/24 02:13:26  shadzik
- 4.4 Beta2

Revision 1.32.2.5  2009/12/04 14:43:48  shadzik
- updated BRs
- rel 2

Revision 1.32.2.4  2009/12/04 01:43:36  shadzik
- 4.4 beta1

Revision 1.32.2.3  2009/10/29 14:47:11  paszczus
- updated to 4.3.73

Revision 1.32.2.2  2009/10/19 07:55:48  paszczus
- updated to 4.3.72

Revision 1.32.2.1  2009/10/07 23:44:37  cactus
- up to 4.3.69

Revision 1.32  2009/08/29 15:29:24  shadzik
- 4.3.1

Revision 1.31  2009/08/19 20:54:40  arekm
- rel 6

Revision 1.30  2009/08/19 20:04:01  arekm
- rel 5; branch diff is back

Revision 1.29  2009/08/05 10:09:42  shadzik
- don't requre absolute devel packages
- rel 4

Revision 1.28  2009/08/04 17:13:53  shadzik
- final tarball

Revision 1.27  2009/08/03 15:20:28  arekm
- values are case sensitive it seems

Revision 1.26  2009/07/29 22:41:28  shadzik
- rel 2; updated pastebinpld.patch

Revision 1.25  2009/07/29 20:48:20  shadzik
- merged from DEVEL

Revision 1.23.2.15  2009/07/29 20:48:09  shadzik
- 4.3.0

Revision 1.23.2.14  2009/07/23 08:25:54  shadzik
- better
- add bcond without marble
- change marblde-devel BR to kde4-kdeedu-devel

Revision 1.23.2.13  2009/07/22 16:32:41  shadzik
- BR: marble-devel

Revision 1.23.2.12  2009/07/22 11:52:37  shadzik
- 4.3rc3
- TODO: marble

Revision 1.23.2.11  2009/07/13 11:51:18  arekm
- add few BR to make sure that lancelot is built with composite

Revision 1.23.2.10  2009/07/09 19:06:09  paszczus
- updated to 4.2.96

Revision 1.23.2.9  2009/07/04 15:34:11  shadzik
- fix --target build

Revision 1.23.2.8  2009/06/30 14:03:46  shadzik
- 4.3 RC1

Revision 1.23.2.7  2009/06/25 17:06:12  cactus
- subpackage devel
- files

Revision 1.23.2.6  2009/06/11 16:53:31  paszczus
- updated to 4.2.91

Revision 1.23.2.5  2009/05/30 15:20:57  paszczus
- updated to 4.2.88

Revision 1.23.2.4  2009/05/27 18:43:42  shadzik
- %files

Revision 1.23.2.3  2009/05/27 10:33:44  paszczus
- Patch100 commented (no reason to put it on DEVEL for now)

Revision 1.23.2.2  2009/05/27 10:33:06  paszczus
- removed bogus -j1 from make

Revision 1.23.2.1  2009/05/27 10:24:39  paszczus
- updated to 4.2.87
- updated Patch0
- added BR: kde4-kdegraphics-devel

Revision 1.23  2009/05/08 15:02:09  shadzik
- release 3

Revision 1.22  2009/05/08 14:34:39  shadzik
- updated cmake br

Revision 1.21  2009/05/01 15:50:46  shadzik
- 4.2.3

Revision 1.20  2009/03/27 23:08:11  shadzik
- 4.2.2

Revision 1.19  2009/03/23 22:44:16  shadzik
- add branch.diff
- rel 2

Revision 1.18  2009/02/27 16:00:16  shadzik
- 4.2.1
- bluemarble seems to be back

Revision 1.17  2009/02/20 12:15:49  shadzik
- release 5

Revision 1.16  2009/02/20 11:53:58  shadzik
- conditional release/debug build (thx glen)

Revision 1.15  2009/02/20 10:55:20  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.14  2009/02/06 16:29:26  qboosh
- pl fix

Revision 1.13  2009/02/03 14:08:42  shadzik
- merged from DEVEL
- 4.2.0 stable
- rel 3

Revision 1.9.2.34  2009/01/22 19:30:59  shadzik
- updated automoc4 BR; rel 2

Revision 1.9.2.33  2009/01/22 15:09:22  shadzik
- 4.2.0

Revision 1.9.2.32  2009/01/13 00:28:59  shadzik
- updated strigi and phonon BRs

Revision 1.9.2.31  2009/01/07 19:49:03  shadzik
- 4.2 RC1

Revision 1.9.2.30  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.9.2.29  2009/01/03 17:35:04  rotom
- up to 4.1.87
- new Source URL

Revision 1.9.2.28  2008/12/15 15:32:27  shadzik
- 4.1.85

Revision 1.9.2.27  2008/12/08 15:54:32  paszczus
- updated to 4.1.82

Revision 1.9.2.26  2008/12/07 01:38:32  glen
- BR: qtscript-devel,qtwebkit-devel
- paste to pld.pastebin.com; rel 2

Revision 1.9.2.25  2008/11/29 04:14:14  shadzik
- 4.1.81

Revision 1.9.2.24  2008/11/26 21:51:28  paszczus
- updated phonon BR

Revision 1.9.2.23  2008/11/26 21:27:36  paszczus
- updated to 4.1.80 (4.2 beta1)
- removed lancelot.patch

Revision 1.9.2.22  2008/11/14 08:56:31  paszczus
- updated to 4.1.73

Revision 1.9.2.21  2008/11/06 09:17:33  shadzik
- add patch0 (lancelot is back)

Revision 1.9.2.20  2008/11/06 09:03:58  shadzik
- 4.1.72
- no lancelot here

Revision 1.9.2.19  2008/10/23 20:23:40  rotom
- up to 4.1.71

Revision 1.9.2.18  2008/10/19 21:19:46  shadzik
- add comic.knsrc

Revision 1.9.2.17  2008/10/19 21:05:50  paszczus
- one more parent dir

Revision 1.9.2.16  2008/10/19 19:43:13  paszczus
- reverted

Revision 1.9.2.15  2008/10/19 19:11:00  paszczus
- and few more

Revision 1.9.2.14  2008/10/19 18:59:40  paszczus
- more parent dirs

Revision 1.9.2.13  2008/10/18 21:20:54  paszczus
- updated to 4.1.70

Revision 1.9.2.12  2008/10/10 12:39:16  paszczus
- updated to 4.1.69

Revision 1.9.2.11  2008/10/02 16:23:34  paszczus
- parent dirs

Revision 1.9.2.10  2008/10/02 15:00:31  paszczus
- updated to 4.1.68

Revision 1.9.2.9  2008/09/20 13:03:15  paszczus
- updated to 4.1.67

Revision 1.9.2.8  2008/09/06 01:18:19  paszczus
- more files

Revision 1.9.2.7  2008/09/04 20:06:11  paszczus
- updated to 4.1.65

Revision 1.9.2.6  2008/08/31 16:41:17  wolf
- 4.1.64

Revision 1.9.2.5  2008/08/23 14:16:38  paszczus
- updated to 4.1.63

Revision 1.9.2.4  2008/08/17 22:38:21  shadzik
- 4.1.62

Revision 1.9.2.3  2008/08/15 11:58:09  shadzik
- cmake fix now in cmake itself

Revision 1.9.2.2  2008/08/12 08:04:06  shadzik
- added BRs from HEAD

Revision 1.9.2.1  2008/08/11 12:18:08  shadzik
- 4.1.61
- updated BRs
- cmake > 2.6.0 fix
- -lancelot subpackage (NOTE: i'm not sure about the description)

Revision 1.9  2008/07/25 16:57:31  qboosh
- complete URL

Revision 1.8  2008/07/25 11:53:39  shadzik
- add patch0

Revision 1.7  2008/07/25 11:52:30  shadzik
- add URL

Revision 1.6  2008/07/25 11:49:00  shadzik
- change state to stable

Revision 1.5  2008/07/25 11:46:25  shadzik
- 4.1.0

Revision 1.4  2008/07/22 17:09:14  qboosh
- BR fix, made pl more pl

Revision 1.3  2008/07/22 14:54:19  shadzik
- BR: OpenGL-GL[U]-devel
- rel 3

Revision 1.2  2008/07/22 14:27:45  shadzik
- BR: QtOpenGL-devel
- rel 2

Revision 1.1  2008/07/15 19:11:15  shadzik
- from kde4-kdeplasmoids.spec
- 4.0.98

Revision 1.4  2008/07/05 19:29:41  shadzik
- 4.0.85

Revision 1.3  2008/06/25 19:14:43  shadzik
- files
- dunno if -devel will be needed, so don't package devel files

Revision 1.2  2008/06/25 18:54:10  shadzik
- BRs
- fix %setup

Revision 1.1  2008/06/25 18:50:54  shadzik
- initial
- NFY
